/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef, SimpleChanges } from "@angular/core";
import { Oas20PathItem, Oas30PathItem, OasOperation } from "apicurio-data-models";
import { CommandService } from "../../../_services/command.service";
import { DocumentService } from "../../../_services/document.service";
import { SelectionService } from "../../../_services/selection.service";
import { AbstractBaseComponent } from "../../common/base-component";
export declare class OperationsSectionComponent extends AbstractBaseComponent {
    private commandService;
    path: Oas30PathItem | Oas20PathItem;
    protected _nodePath: string;
    tab: string;
    private _operations;
    private _allOperations;
    private _collaborationPaths;
    private _selectionSubscription;
    /**
     * C'tor.
     * @param changeDetectorRef
     * @param documentService
     * @param commandService
     * @param selectionService
     */
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, commandService: CommandService, selectionService: SelectionService);
    ngOnInit(): void;
    protected onDocumentChange(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    is20Document(): boolean;
    is3xDocument(): boolean;
    operations(): OasOperation[];
    collaborationPaths(): string[];
    private refresh;
    private setOperationTabFromSelection;
    private pathOperations;
    private allPathOperations;
    private allCollaborationPaths;
    operation(): OasOperation;
    operationPath(method: string): string;
    isDefined(method: string): boolean;
    isSelected(operation: OasOperation): boolean;
    selectTab(method: string): void;
    hasSelectedOperation(): boolean;
    addOperation(): void;
    deleteOperation(operation: OasOperation): void;
    deleteAllOperations(): void;
}
